Loading ...
Sorry, an error occurred while loading the content.

Subversion/Apache on Sysnolgy DS-107+ question

Expand Messages
  • xelarep
    Hi, I m new to this group. I found this group by playing al little bit with my DS-107+ and IPKG packages found on
    Message 1 of 3 , Mar 4 12:36 AM
    • 0 Attachment
      Hi,

      I'm new to this group. I found this group by playing al little bit with my DS-107+ and IPKG packages found on http://ipkg.nslu2-linux.org/feeds/optware/syno-x07/cross/unstable/

      And here's my first question:

      The supplied Apache on the DS-107+ is version 2.2.13-1 and does not provide the apache modules "mod_dav_svn" and "mod_authz_svn".
      I tried to extract them from the IPKG package http://ipkg.nslu2-linux.org/feeds/optware/syno-x07/cross/unstable/apache_2.2.14-1_arm.ipk but the modules found here will not run with the original apache of the DS.

      Can anybody provide the two modules in version 2.2.13-1 or point me to any (simple) source how to create them by myself?

      I don't want to install the complete IPKG Apache server on my DS as outlined in the Synology forum at this point. There should be a simple way to get the missing mods.

      Unfortunatly I'm a daily Windows user and have only basic Linux skills ;-)

      Thanks,
      xelarep
    • xelarep
      Just a little push. Nobody here working with the DS-107+ anymore? xelarep
      Message 2 of 3 , Mar 30 12:31 AM
      • 0 Attachment
        Just a little push. Nobody here working with the DS-107+ anymore?

        xelarep

        --- In nslu2-linux@yahoogroups.com, "xelarep" <xelarep@...> wrote:
        >
        > Hi,
        >
        > I'm new to this group. I found this group by playing al little bit with my DS-107+ and IPKG packages found on http://ipkg.nslu2-linux.org/feeds/optware/syno-x07/cross/unstable/
        >
        > And here's my first question:
        >
        > The supplied Apache on the DS-107+ is version 2.2.13-1 and does not provide the apache modules "mod_dav_svn" and "mod_authz_svn".
        > I tried to extract them from the IPKG package http://ipkg.nslu2-linux.org/feeds/optware/syno-x07/cross/unstable/apache_2.2.14-1_arm.ipk but the modules found here will not run with the original apache of the DS.
        >
        > Can anybody provide the two modules in version 2.2.13-1 or point me to any (simple) source how to create them by myself?
        >
        > I don't want to install the complete IPKG Apache server on my DS as outlined in the Synology forum at this point. There should be a simple way to get the missing mods.
        >
        > Unfortunatly I'm a daily Windows user and have only basic Linux skills ;-)
        >
        > Thanks,
        > xelarep
        >
      • Brian
        Can only say that optware apache package is being maintained, just nobody is working on mixing Synology apache and optware apache module. What you can do, is
        Message 3 of 3 , Mar 30 8:20 AM
        • 0 Attachment
          Can only say that optware apache package is being maintained, just nobody is working on mixing Synology apache and optware apache module.

          What you can do, is to setup optware cross compilation build environment,

          http://www.nslu2-linux.org/wiki/Optware/AddAPackageToOptware
          or http://www.webos-internals.org/wiki/Optware_Cross_Compilation for shorter instruction (replace cs08q1armel with syno-x07 in your case).

          You then check out old svn version of make/apache.mk and sources/apache matching Synology's. And build apache by "make apache-ipk". You should have modules there.


          -Brian

          --- In nslu2-linux@yahoogroups.com, "xelarep" <xelarep@...> wrote:
          >
          > Just a little push. Nobody here working with the DS-107+ anymore?
          >
          > xelarep
          >
          > --- In nslu2-linux@yahoogroups.com, "xelarep" <xelarep@> wrote:
          > >
          > > Hi,
          > >
          > > I'm new to this group. I found this group by playing al little bit with my DS-107+ and IPKG packages found on http://ipkg.nslu2-linux.org/feeds/optware/syno-x07/cross/unstable/
          > >
          > > And here's my first question:
          > >
          > > The supplied Apache on the DS-107+ is version 2.2.13-1 and does not provide the apache modules "mod_dav_svn" and "mod_authz_svn".
          > > I tried to extract them from the IPKG package http://ipkg.nslu2-linux.org/feeds/optware/syno-x07/cross/unstable/apache_2.2.14-1_arm.ipk but the modules found here will not run with the original apache of the DS.
          > >
          > > Can anybody provide the two modules in version 2.2.13-1 or point me to any (simple) source how to create them by myself?
          > >
          > > I don't want to install the complete IPKG Apache server on my DS as outlined in the Synology forum at this point. There should be a simple way to get the missing mods.
          > >
          > > Unfortunatly I'm a daily Windows user and have only basic Linux skills ;-)
          > >
          > > Thanks,
          > > xelarep
          > >
          >
        Your message has been successfully submitted and would be delivered to recipients shortly.